## icon-slicer 0.3

=== debian/changelog ===
icon-slicer (0.3-6) unstable; urgency=low

  * Modernize CDBS usage: Drop local snippets (all included upstream
    now).
  * Use dpkg source format 3.0 (quilt). Stop including patchsys-quilt
    snippet.
  * Bump debhelper compat level to 7.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org URL in Vcs-Browser field.
  * Git-ignore quilt .pc dir.
  * Update package relations:
    + Build-depend unversioned on libgtk2.0-dev: Needed version
      satisfied even in oldstable.
    + Tighten build-dependency on cdbs: Needed for improved copyright-
      check.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.
    + Stop build-depending on quilt or patchutils: Unneeded with source
      format 3.0 (quilt).
    + Build-depend (not only depend) on x11-apps: Needed to build
      example files.
  * Append (not early-(re)declare) build-dependencies.
  * Extend copyright years of Debian packaging.
  * Refresh patch 1001 with shortening quilt options -pab --no-index
    --no-timestamps.
  * Suppress copyright-checking binary files, to not upset dpkg-source.
  * Rewrite copyright file using format 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Mar 2012 23:00:39 +0100

icon-slicer (0.3-5) unstable; urgency=low

  * Depend on x11-apps. Related to bug#555963.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Nov 2009 19:20:47 +0100

icon-slicer (0.3-4) unstable; urgency=low

  * Use section graphics (not devel).
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Bump up policy compliance to standards version 3.8.3.
  * Update debian/control format to DEP5 rev54.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2009 09:27:49 +0200

icon-slicer (0.3-3) unstable; urgency=low

  * Use cdbs snippet patchsys-quilt.mk. Build-depend on quilt and
    patchutils.
  * Add patch 1001 to fix hotspot y coordinate (x coordinate was bogusly
    reused). Closes: bug#533020, thanks to Charlie Smotherman and Tim
    Swast.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jun 2009 23:03:15 +0200

icon-slicer (0.3-2) unstable; urgency=low

  * Remove TopGit noise (from merged-in cdbs-skel).
  * Tighten build-dependency on debhelper.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 May 2009 14:29:17 +0200

icon-slicer (0.3-1) unstable; urgency=low

  * Initial release. Closes: bug#519102.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Apr 2009 01:18:23 +0200
