=== debian/control ===
Source: icon-slicer
Section: graphics
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.70~),
 devscripts,
 debhelper,
 dh-buildinfo,
 libgtk2.0-dev,
 libpopt-dev,
 help2man,
 x11-apps
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/icon-slicer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/icon-slicer.git
Homepage: http://freedesktop.org/wiki/Software/icon-slicer

Package: icon-slicer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cdbs:Depends}
Description: utility for generating icon themes and libXcursor cursor themes
 The inputs to icon-slicer are conceptually:
 .
  - A set of multi-layer images, one for each size
  - Am XML theme description file
 .
 Each image contains all the cursors arranged in a grid; For cursors the
 layers are:
 .
  - A layer with a dot for the hotspot of each cursor
  - The main image or first animation frame for multi-frame animated
    cursors
  - The second animation frame for multi-frame animated cursors
  - ...
 .
 For icons, the layers are:
 .
  - A layer with the images
  - An optional layer with attachment points for emblems
  - An optional layer with boxes for embedding text into icons
 .
 In practice, since loading of multilayer images is not supported by
 standard image libraries, each layer is input as a separate image file.
 .
 The theme description file contains, among other things, information
 about the source images to read, the location of each named cursor or
 icon within the grid, and a set of aliases from names to other names.
