=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
http://freedesktop.org/software/icon-slicer/releases/icon-slicer-(.*)\.tar\.gz
